"use strict";
require("reflect-metadata");
const inversify_1 = require("inversify");
const PersistenceService_1 = require("./persistence/PersistenceService");
const FrameworkBootstrapper_1 = require("./bootstrapper/FrameworkBootstrapper");
const LinkService_1 = require("./link/LinkService");
const ConfigurationService_1 = require("./configuration/ConfigurationService");
const PackageService_1 = require("./node/PackageService");
const NpmService_1 = require("./node/NpmService");
const VersionService_1 = require("./version/VersionService");
class FrameworkModule extends inversify_1.ContainerModule {
    constructor() {
        super(FrameworkModule.initializeBindings);
    }
    static initializeBindings(bind) {
        bind("FrameworkBootstrapper").to(FrameworkBootstrapper_1.FrameworkBootstrapper);
        FrameworkModule.initializeConfigurationBindings(bind);
        FrameworkModule.initializeNodeBindings(bind);
        FrameworkModule.initializePersistenceBindings(bind);
        FrameworkModule.initializeLinkBindings(bind);
        FrameworkModule.initializeVersionBindings(bind);
    }
    static initializeConfigurationBindings(bind) {
        bind("ConfigurationService").to(ConfigurationService_1.ConfigurationService);
    }
    static initializeNodeBindings(bind) {
        bind("PackageService").to(PackageService_1.PackageService);
        bind("NpmService").to(NpmService_1.NpmService);
    }
    static initializePersistenceBindings(bind) {
        bind("PersistenceService").to(PersistenceService_1.PersistenceService);
    }
    static initializeLinkBindings(bind) {
        bind("LinkService").to(LinkService_1.LinkService);
    }
    static initializeVersionBindings(bind) {
        bind("VersionService").to(VersionService_1.VersionService);
    }
}
exports.FrameworkModule = FrameworkModule;
//# sourceMappingURL=FrameworkModule.js.map