"use strict";
const inversify_1 = require("inversify");
const FrameworkModule_1 = require("../FrameworkModule");
const LoggingModule_1 = require("../logging/LoggingModule");
class FrameworkBootstrapper {
    getContainer() {
        return this._container;
    }
    withIocContainer() {
        this._container = new inversify_1.Container({ defaultScope: "Singleton" });
        this._container.load(new FrameworkModule_1.FrameworkModule());
        return this;
    }
    withLogging(logLevel, pipelines) {
        if (this._container == undefined) {
            throw new Error("withIocContainer must be called before this method");
        }
        this._container.load(new LoggingModule_1.LoggingModule(logLevel, pipelines));
        return this;
    }
    bootstrap() {
        return true;
    }
}
exports.FrameworkBootstrapper = FrameworkBootstrapper;
//# sourceMappingURL=FrameworkBootstrapper.js.map