"use strict";
require("reflect-metadata");
const inversify_1 = require("inversify");
const LoggingServiceFactory_1 = require("./LoggingServiceFactory");
class LoggingModule extends inversify_1.ContainerModule {
    constructor(logLevel, pipelines) {
        super((bind) => {
            LoggingModule.initializeBindings(bind, logLevel, pipelines);
        });
    }
    static initializeBindings(bind, logLevel, pipelines) {
        LoggingModule.initializeLoggingBindings(bind, logLevel, pipelines);
    }
    static initializeLoggingBindings(bind, logLevel, pipelines) {
        let loggerFactory = new LoggingServiceFactory_1.LoggingServiceFactory(logLevel, pipelines);
        bind("LoggingServiceFactory").toConstantValue(loggerFactory);
    }
}
exports.LoggingModule = LoggingModule;
//# sourceMappingURL=LoggingModule.js.map