"use strict";
const LogLevel_1 = require("./LogLevel");
class LoggingService {
    constructor(location, logLevel, pipelines) {
        this._location = location;
        this._logLevel = logLevel;
        this._pipelines = pipelines;
    }
    info(message, data) {
        this.log(LogLevel_1.LogLevel.Info, message, data);
    }
    warn(message, data) {
        this.log(LogLevel_1.LogLevel.Warn, message, data);
    }
    error(message, data) {
        this.log(LogLevel_1.LogLevel.Error, message, data);
    }
    debug(message, data) {
        this.log(LogLevel_1.LogLevel.Debug, message, data);
    }
    log(logLevel, message, data) {
        if (this._pipelines == undefined) {
            return;
        }
        this._pipelines.forEach((pipeline) => {
            pipeline.log(logLevel, this._location, message, data);
        });
    }
}
exports.LoggingService = LoggingService;
//# sourceMappingURL=LoggingService.js.map