import { LoggingService } from "./LoggingService";
import { LogLevel } from "./LogLevel";
import { ILoggingPipeline } from "./ILoggingPipeline";
export interface ILoggingServiceFactory {
    create(location: string): LoggingService;
}
export declare class LoggingServiceFactory implements ILoggingServiceFactory {
    private _logLevel;
    private _pipelines;
    constructor(logLevel: LogLevel, pipelines: Array<ILoggingPipeline>);
    create(location: string): LoggingService;
}
