"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
const inversify_1 = require("inversify");
const ChildProcess = require("child_process");
const Path = require("path");
const Os = require("os");
const LoggingServiceFactory_1 = require("../logging/LoggingServiceFactory");
let NpmService = class NpmService {
    constructor(loggingServiceFactory) {
        this._loggingService = loggingServiceFactory.create("NpmService");
    }
    link(packageInfo, packageToLink) {
        let cwd = Path.dirname(packageInfo.manifestPath);
        return this.startProcess(cwd, ["link", Path.dirname(packageToLink.manifestPath)])
            .then(() => {
            this._loggingService.debug(`successfully linked package ${packageToLink.name} for ${packageInfo.manifestPath}`, { packageInfo: packageInfo, packageToLink: packageToLink });
        })
            .catch((error) => {
            this._loggingService.error(`error while linking package ${packageToLink.name} for ${packageInfo.manifestPath}`, { packageInfo: packageInfo, packageToLink: packageToLink });
            throw error;
        });
    }
    startProcess(cwd, args) {
        let commandName = Os.platform() === "win32" ? "npm.cmd" : "npm";
        let spawnOptions = {
            cwd: cwd,
        };
        let result = ChildProcess.spawnSync(commandName, args, spawnOptions);
        if (result.error != undefined) {
            return Promise.reject(result.error);
        }
        else {
            return Promise.resolve(true);
        }
    }
};
NpmService = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject("LoggingServiceFactory")),
    __metadata("design:paramtypes", [LoggingServiceFactory_1.LoggingServiceFactory])
], NpmService);
exports.NpmService = NpmService;
//# sourceMappingURL=NpmService.js.map