export declare class PackageInfo {
    private _name;
    private _manifestPath;
    private _version;
    private _dependencies;
    private _devDependencies;
    readonly name: string;
    readonly manifestPath: string;
    readonly version: string;
    readonly dependencies: Array<PackageDependency>;
    readonly devDependencies: Array<PackageDependency>;
    constructor(name: string, manifestPath: string, version: string, depenencies: Array<PackageDependency>, devDependencies: Array<PackageDependency>);
    constructor(name: string, manifestPath: string, version: string, depenencies: {
        [key: string]: string;
    }, devDependencies: {
        [key: string]: string;
    });
    private getDependencies(depenencies);
    hasDependency(name: string): boolean;
    hasDevDependency(name: string): boolean;
}
export declare class PackageDependency {
    private _name;
    private _version;
    readonly name: string;
    readonly version: string;
    constructor(name: string, version: string);
}
