import { PackageInfo } from "./PackageInfo";
import { PersistenceService } from "../persistence/PersistenceService";
import { LoggingServiceFactory } from "../logging/LoggingServiceFactory";
export declare class PackageService {
    private _loggingService;
    private _persistenceService;
    constructor(loggingServiceFactory: LoggingServiceFactory, persistenceService: PersistenceService);
    locatePackages(searchDirectories: Array<string>): Array<PackageInfo>;
    loadManifest(manifestPath: string): PackageManifest;
    private getPackageFileInfos(searchDirectories);
}
export interface PackageManifest {
    name: string;
    version: string;
    dependencies: {
        [key: string]: string;
    };
    devDependencies: {
        [key: string]: string;
    };
}
